## chrony 4.2

=== debian/changelog ===
chrony (4.2-2ubuntu2) jammy; urgency=medium

  * d/patches/add-rseq.patch: Add "rseq" to list of acceptable syscalls to fix
    tests with glibc 2.35.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 08 Feb 2022 16:48:09 +1300

chrony (4.2-2ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    Remaining changes:
    - d/chrony.conf: use ubuntu ntp pool and server (LP 1744664 1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP 1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + debian/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + debian/chrony.default: new option SYNC_IN_CONTAINER to not fall back
        (Default off) [fixed a minor typo in the comment in this update]
      + debian/chronyd-starter.sh: wrapper to handle special cases in containers
        and if CAP_SYS_TIME is missing. Effectively allows on to run NTP server
        in containers on a default installation and avoid failing to sync time
        (or if allowed to sync, avoid multiple containers to fight over it by
        accident).
      + debian/install: make chrony-starter.sh available on install.
      + debian/docs, debian/README.container: provide documentation about the
        handling of this case.
  * Dropped changes [ in 4.2-1 ]
    - Drop patches present in v4.2
      + d/p/allow-clone3-and-pread64-in-seccomp-filter.patch
      + d/p/fix-seccomp-filter-for-BINDTODEVICE-socket-option.patch
      + d/p/lp-1940252-rtc-avoid-printing-and-scanning-time_t.patch
    - d/t/upstream-simulation-test-suite: bump to the matching clknetsim

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 04 Feb 2022 07:52:48 +0100

chrony (4.2-2) unstable; urgency=medium

  * debian/usr.sbin.chronyd:
    - Allow reading the chronyd configuration file that timemaster(8)
    generates. Thanks to Michael Lestinsky for the report! (Closes: #1004745)

 -- Vincent Blut <vincent.debian@free.fr>  Tue, 01 Feb 2022 20:42:35 +0100

chrony (4.2-1) unstable; urgency=medium

  * Import upstream version 4.2:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/chrony.service:
    - Adopt upstream service unit hardening options.

  * debian/copyright:
    - Update copyright years.

  * debian/patches/*:
    - Drop patches applied upstream.
    - Add ensure_awk_commands_in_008-ntpera_test_return_an_integer.patch

  * debian/test/upstream-simulation-test-suite:
    - Update clknetsim version.

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 13 Jan 2022 14:01:35 +0100

chrony (4.2-0ubuntu1) jammy; urgency=medium

  * Merge with Debian testing (LP: #1946848) and upstream v4.2.
    Remaining changes:
    - d/chrony.conf: use ubuntu ntp pool and server (LP 1744664 1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP 1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + debian/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + debian/chrony.default: new option SYNC_IN_CONTAINER to not fall back
        (Default off) [fixed a minor typo in the comment in this update]
      + debian/chronyd-starter.sh: wrapper to handle special cases in containers
        and if CAP_SYS_TIME is missing. Effectively allows on to run NTP server
        in containers on a default installation and avoid failing to sync time
        (or if allowed to sync, avoid multiple containers to fight over it by
        accident).
      + debian/install: make chrony-starter.sh available on install.
      + debian/docs, debian/README.container: provide documentation about the
        handling of this case.
  * Drop patches present in v4.2
    - d/p/allow-clone3-and-pread64-in-seccomp-filter.patch
    - d/p/fix-seccomp-filter-for-BINDTODEVICE-socket-option.patch
    - d/p/lp-1940252-rtc-avoid-printing-and-scanning-time_t.patch
  * Added changes:
    - d/t/upstream-simulation-test-suite: bump to the matching clknetsim

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 06 Jan 2022 14:51:22 +0100

chrony (4.1-4) unstable; urgency=medium

  * debian/:
    - Remove empty preinst maintainer script.

  * debian/chrony.lintian-overrides:
    - Remove unused overrides.

  * debian/control:
    - Bump Standards-Version to 4.6.0 (no changes needed).

  * debian/patches/*:
    - Add fix-seccomp-filter-for-BINDTODEVICE-socket-option.patch.
    (Closes: #995207)

  * debian/usr.sbin.chronyd:
    - Add 'vim:syntax=apparmor' modline.
    - Add feature ABI rule. Starting with AppArmor 3.0, policy needs to contain
    an abi rule to indicate which feature abi the policy was developed under.


