=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Vincent Blut <vincent.debian@free.fr>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Build-Depends: asciidoctor,
                bison,
                debhelper-compat (= 13),
