=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: chrony
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Vincent Blut <vincent.debian@free.fr>
-Standards-Version: 4.6.0
+Maintainer: Vincent Blut <vincent.debian@free.fr>
+Standards-Version: 4.6.2
 Build-Depends: asciidoctor,
                bison,
                debhelper-compat (= 13),
@@ -28,7 +27,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: adduser,
          iproute2 [linux-any],
-         libcap2-bin (>= 1:2.32-1),
          tzdata,
          ucf,
          ${misc:Depends},
