## chrony 4.4

=== debian/changelog ===
chrony (4.4-1) unstable; urgency=medium

  * Import upstream version 4.4:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/:
    - Update links to point to new chrony location.

  * debian/copyright:
    - Update copyright years.

  * debian/install:
    - Install the chronyd-restricted systemd unit.

  * debian/patches/:
    - Add debianize-chronyd-restricted-unit-file.patch.

  * debian/rules:
    - Do not enable nor start chronyd-restricted.service.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 09 Aug 2023 17:50:42 +0200

chrony (4.4~pre2-1) experimental; urgency=medium

  * Import upstream version 4.4-pre2:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.
    - Update clknetsim seed. This prevents the '148-replacement' test from
    failing.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 21 Jun 2023 19:12:19 +0200

chrony (4.4~pre1-1) experimental; urgency=medium

  * Merge branch 'debian/unstable' into 'debian/latest'.

  * Import upstream version 4.4-pre1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 10 May 2023 16:26:48 +0200

chrony (4.3-3) experimental; urgency=medium

  * debian/control:
    - Depend on tzdata-legacy. right/* timezones have been split into a
    separate tzdata-legacy package. Since chronyd reads
    '/usr/share/zoneinfo/right/UTC' to determine when will the next leap second
    occur we have to depend on this new package. (LP: #2008076)

  * debian/.gitlab-ci.yml:
    - Run CI on experimental. This is necessary as long as tzdata-legacy is
    available in experimental only.

  * debian/tests/control:
    - Let upstream-simulation-test-suite depend on tzdata-legacy.

 -- Vincent Blut <vincent.debian@free.fr>  Mon, 27 Mar 2023 19:57:20 +0200
