=== debian/rules ===
--- 
+++ 
@@ -43,3 +43,8 @@
 ifneq (,$(filter $(DEB_HOST_ARCH), alpha ia64 m68k sh4 sparc64))
 	sed -i '/DAEMON_OPTS=/s/"-F 1"/""/' $(BASE)/etc/default/chrony
 endif
+
+override_dh_installsystemd:
+	dh_installsystemd chrony.service
+	dh_installsystemd --no-enable --no-start chrony-wait.service
+	dh_installsystemd --no-enable --no-start chronyd-restricted.service
