## chrony 4.5

=== debian/changelog ===
chrony (4.5-3ubuntu3) oracular; urgency=medium

  * d/t/control, d/t/default-ubuntu-sources-behavior: new test to check the
    debconf behavior introduced in LP #2048876)

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 02 Sep 2024 16:37:40 -0300

chrony (4.5-3ubuntu2) oracular; urgency=medium
  * Move Ubuntu NTP sources to /etc/chrony/sources.d/ubuntu-ntp-pools.sources,
    gated on a low priority (default yes) debconf question (LP: #2048876):
    - d/NEWS: Add entry with information about default time sources moving out
      from chrony.conf to /etc/chrony/sources.d/ubuntu-ntp-pools.sources.
    - d/chrony.conf, d/ubuntu-ntp-pools.sources: Move Ubuntu NTP pool sources
      from chrony.conf to ubuntu-ntp-pools.sources 
    - d/chrony.config: Ask chrony/configure_ubuntu_pools_in_sourcesd debconf
      question.
    - d/control: Add debconf dependency.
    - d/install: Install ubuntu-ntp-pools.sources in /usr/share/chrony
    - d/postinst: Handle ubuntu-ntp-pools.sources installation, removal and
      ucf tracking based on debconf question.
    - d/postrm: Handle /etc/chrony/sources.d/ubuntu-ntp-pools.sources removal
      from ucf tracking based on debconf question on uninstall.
    - d/templates: Add debconf question to customize installation of
      /etc/chrony/sources.d/ubuntu-ntp-pools.sources. 
 
 -- Ankush Pathak <ankush.pathak@canonical.com>  Thu, 15 Aug 2024 00:03:08 +0530

chrony (4.5-3ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064393, LP: #2068526). Remaining
    changes:
    - d/chrony.conf: Use ubuntu ntp pool and server.
      (LP #1744664, #1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP #1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + d/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + d/chrony.default: new option SYNC_IN_CONTAINER to not fall
        back (Default off)
      + d/chronyd-starter.sh: wrapper to handle special cases in
        containers and if CAP_SYS_TIME is missing. Effectively allows
        running the NTP server in containers on a default installation
        and avoid failing to sync time (or if allowed to sync, avoid
        multiple containers fighting over it by accident).
      + d/install: Make chrony-starter.sh available on install.
      + d/docs, d/README.container: Provide documentation about the
        handling of this case.
    - d/rules, d/chrony.examples: Ship restricted service as an example
      not installed to the system for use.  (See LP #2051028)
  * Dropped:
    - d/usr.sbin.chronyd: apparmor fixes (LP: #2032805):
      + Allow the default UNIX domain socket address to be used by the
        reflock_sock service in the Apport configuration.
      + Fix failure to start timemaster due to lack of rw permissions on
        chrony socket.
      [In 4.5-2 and 4.5-3]

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 02 Jul 2024 15:57:20 -0300

chrony (4.5-3) unstable; urgency=medium

  * debian/upstream-simulation-test-suite:
    - Update clknetsim version (Closes: #1073861)

  * debian/usr.sbin.chronyd:
    - Don't be too strict on allowed socket paths (LP: #2068526)

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 20 Jun 2024 00:41:37 +0200

chrony (4.5-2) unstable; urgency=medium

  * debian/copyright:
    - Update copyright year for debian/*.

  * debian/control:
    - Build depend on pkgconf instead of pkg-config.
    - Bump Standards-Version to 4.7.0 (no changes needed).

  * debian/rules:
    - Disable seccomp on loong64 until libseccomp in Debian supports it.

  * debian/tests/upstream-simulation-test-suite:
    - Build clknetsim with extra CFLAGS on armel and armhf architectures as it
    needs to use the same time_t as the chronyd binary.
    - Update clknetsim version.
    - Prevent connection timeout on slow architectures.
    - Remove unused environment variable.

  [ Bryce Harrington ]
  * debian/usr.sbin.chronyd:
    - Fix failure to start timemaster due to lack of rw permissions on chrony
    socket. (LP: #2032805)
    - Allow the default UNIX domain socket address to be used by the
    reflock_sock service in the AppArmor configuration.

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 25 Apr 2024 15:52:18 +0200

chrony (4.5-1ubuntu4) noble; urgency=medium

  * d/usr.sbin.chronyd: Fix failure to start timemaster due to lack
    of rw permissions on chrony socket.
    (LP: #2032805)
  * d/usr.sbin.chronyd: Allow the default UNIX domain socket address
    to be used by the reflock_sock service in the Apport configuration.
    (ref LP #2032805)

 -- Bryce Harrington <bryce@canonical.com>  Mon, 01 Apr 2024 18:28:32 -0700

chrony (4.5-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:38:10 +1100

chrony (4.5-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:02:48 +0000

chrony (4.5-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040371). Remaining changes:
    - d/chrony.conf: Use ubuntu ntp pool and server.
      (LP #1744664, #1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP #1589780)

