=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: chrony
 Section: net
 Priority: optional
-Maintainer: Vincent Blut <vincent.debian@free.fr>
-Standards-Version: 4.6.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Vincent Blut <vincent.debian@free.fr>
+Standards-Version: 4.7.0
 Build-Depends: asciidoctor,
                bison,
                debhelper-compat (= 13),
@@ -14,10 +15,10 @@
                libgnutls28-dev,
                libseccomp-dev (>= 2.4.3-1~) [amd64 arm64 armel armhf hppa i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390x x32],
                nettle-dev,
-               pkg-config,
+               pkgconf,
                pps-tools [linux-any],
                procps <!nocheck>
-Homepage: https://chrony.tuxfamily.org
+Homepage: https://chrony-project.org
 Vcs-Git: https://salsa.debian.org/debian/chrony.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/debian/chrony
 Rules-Requires-Root: no
@@ -25,9 +26,11 @@
 Package: chrony
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: adduser,
+Depends: adduser (>= 3.130),
+         debconf (>= 0.5),
          iproute2 [linux-any],
-         tzdata,
+         tzdata-legacy,
+         libcap2-bin (>= 1:2.32-1),
          ucf,
          ${misc:Depends},
          ${shlibs:Depends}
