=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,11 @@
+# Keep this as the first test, to check default installation behavior more
+# easily.
+Tests: default-ubuntu-sources-behavior
+Depends: chrony
+Restrictions: isolation-container, needs-root
+
 Tests: upstream-simulation-test-suite
-Depends: @builddeps@, build-essential, ca-certificates, wget
+Depends: @builddeps@, build-essential, ca-certificates, tzdata-legacy, wget
 Restrictions: isolation-container, build-needed, skippable, needs-root, needs-internet
 
 Tests: time-sources-from-dhcp-servers
