=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: chrony
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Vincent Blut <vincent.debian@free.fr>
+Maintainer: Vincent Blut <vincent.debian@free.fr>
 Standards-Version: 4.7.0
 Build-Depends: asciidoctor,
                bison,
@@ -27,10 +26,8 @@
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: adduser (>= 3.130),
-         debconf (>= 0.5),
          iproute2 [linux-any],
-         tzdata-legacy,
-         libcap2-bin (>= 1:2.32-1),
+         tzdata,
          ucf,
          ${misc:Depends},
          ${shlibs:Depends}
