=== debian/rules ===
--- 
+++ 
@@ -40,11 +40,13 @@
 	dh_installinit
 # Disable the system call filter on architectures mentioned below
 # due to missing support in libseccomp and/or in the Linux kernel.
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha ia64 m68k sh4 sparc64))
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha ia64 loong64 m68k sh4 sparc64))
 	sed -i '/DAEMON_OPTS=/s/"-F 1"/""/' $(BASE)/etc/default/chrony
 endif
 
 override_dh_installsystemd:
 	dh_installsystemd chrony.service
-	dh_installsystemd --no-enable --no-start chrony-wait.service
-	dh_installsystemd --no-enable --no-start chronyd-restricted.service
+	dh_installsystemd --name=chrony-wait --no-enable --no-start chrony-wait.service
+	dh_installsystemd --name=chronyd-restricted --no-enable --no-start chronyd-restricted.service
+	dh_installsystemd --name=chrony-dnssrv@ chrony-dnssrv@.service
+	dh_installsystemd --name=chrony-dnssrv@ --no-enable --no-start chrony-dnssrv@.timer
