=== debian/tests/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Restrictions: isolation-container, needs-root
 
 Tests: upstream-simulation-test-suite
-Depends: @builddeps@, build-essential, ca-certificates, tzdata-legacy, wget
+Depends: @builddeps@, build-essential, ca-certificates, wget
 Restrictions: isolation-container, build-needed, skippable, needs-root, needs-internet
 
 Tests: time-sources-from-dhcp-servers
