## chrony 4.7

=== debian/changelog ===
chrony (4.7-1ubuntu1) questing; urgency=medium

  * Merge with Debian experimental. Remaining changes: (LP: #2110435)
    - Set -x as default if unable to set time (e.g. in containers) (LP #1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + d/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + d/chrony.default: new option SYNC_IN_CONTAINER to not fall
        back (Default off)
      + d/chronyd-starter.sh: wrapper to handle special cases in
        containers and if CAP_SYS_TIME is missing. Effectively allows
        running the NTP server in containers on a default installation
        and avoid failing to sync time (or if allowed to sync, avoid
        multiple containers fighting over it by accident).
      + d/install: Make chrony-starter.sh available on install.
      + d/docs, d/README.container: Provide documentation about the
        handling of this case.
    - d/rules, d/chrony.examples: Ship restricted service as an example
      not installed to the system for use.  (See LP #2051028)
    - d/chrony.conf: remove Debian NTP pool
    - Install Ubuntu NTP sources in
      /etc/chrony/sources.d/ubuntu-ntp-pools.sources, gated on a low priority
      (default yes) debconf question (LP #2048876):
      + d/templates: Add debconf question to customize installation of
        /etc/chrony/sources.d/ubuntu-ntp-pools.sources
      + d/install, d/ubuntu-ntp-pools.sources: Install ubuntu-ntp-pools.sources
        in /usr/share/chrony
      + d/control: add dependency on debconf
      + d/postinst: handle Ubuntu pools via debconf and ucf
      + d/postrm: handle Ubuntu pools via debconf and ucf
      + d/NEWS: Add information about default time sources moving out from
        chrony.conf to /etc/chrony/sources.d/ubuntu-ntp-pools.sources.
      + d/chrony.config: debconf script to handle Ubuntu pools
      + d/t/control, d/t/default-ubuntu-sources-behavior: new test to check the
        debconf behavior
    - Use Ubuntu NTS servers by default (LP #2084585):
      + d/conf.d/ubuntu-nts.conf: refer to the CA used to sign the NTS bootstrap
        server
      + d/nts-bootstrap-{,staging}-ubuntu.crt: CA certificate for the NTS
        bootstrap servers
      + d/install: install the NTS bootstrap CAs
      + d/ubuntu-ntp-pools.sources: use NTS by default
      + d/t/default-ubuntu-sources-behavior: update tests for NTS support
      + d/NEWS: add news entry about the NTS change
  * Drop Changes:
    - d/t/helper-functions: Do not fail if backup does not exist
      [Fixed in 4.7-1]
    - d/tests: Clean up after __no_system_clock_control()
      [Fixed in 4.7-1]
    - d/chrony.service: Do not run inside containers by default (LP 2111535)
      [Fixed in 4.7-1]
    - d/t/default-ubuntu-sources-behavior: Adopt to upstream container handling.
      [Squashed into "new test to check the debconf behavior"]
  * Add Changes:
    - d/chrony.service: Allow real chronyd to send READY=1 via sd_notify in
      place of the chronyd-starter.sh wrapper.
    - d/usr.sbin.chronyd: Grant access to NOTIFY_SOCKET in AppArmor profile.
    - d/chrony.conf: Document non-NTS sources from DHCP (LP: #2115565)

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 30 Jun 2025 13:26:18 +0200

chrony (4.7-1) experimental; urgency=medium

  [ Vincent Blut ]
  * Import upstream version 4.7 (LP: #2002910):
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * Merge branch 'debian/unstable' into 'debian/latest'.

  * debian/copyright:
    - Update copyright years.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.

  [ Lukas Märdian ]
  * debian/chrony.service:
    - Do not run inside containers by default. (LP: #2111535)

  * debian/tests/helper-functions:
    - Introduce '__cleanup()' function.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 11 Jun 2025 17:38:16 +0200

chrony (4.7~pre1-1) experimental; urgency=medium

  * Import upstream version 4.7-pre1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/chrony.service:
    - Switch service unit to use Type=notify.

  * debian/copyright:
    - Add an entry for refclock_rtc.c.

  * debian/patches/:
    - Refresh debianize-chronyd-restricted-unit-file.patch.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 21 May 2025 19:24:50 +0200

chrony (4.6.1-3) unstable; urgency=medium

  * debian/patches/:
    - Add conf:_fix_sourcedir_reloading_to_not_multiply_sources.patch. Thanks
    to MichaelR <MichaelR42@runbox.com> for the report. (Closes: #1106875)

 -- Vincent Blut <vincent.debian@free.fr>  Tue, 03 Jun 2025 17:16:37 +0200

chrony (4.6.1-2) unstable; urgency=medium

  [ Vincent Blut ]
  * debian/chrony.conf:
    - Move the confdir directive at the end of the configuration file. This
    should prevent directives defined in /etc/chrony/conf.d/ from being
    overridden by corresponding directives in chrony.conf. (Closes: #1073865)

  * debian/chrony.service:
    - Drop 'After=network.target'. First and foremost, the network.target unit
    doesn't guarantee that any network interfaces are configured or
    operational. Furthermore, chronyd is perfectly able to operate without
    network or DNS functionality notably when used with a hardware reference

