=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Vincent Blut <vincent.debian@free.fr>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: asciidoctor,
                bison,
                debhelper-compat (= 13),
@@ -13,7 +13,7 @@
                libcap-dev [linux-any],
                libedit-dev,
                libgnutls28-dev,
-               libseccomp-dev (>= 2.4.3-1~) [amd64 arm64 armel armhf hppa i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390x x32],
+               libseccomp-dev (>= 2.5.5-2~) [amd64 arm64 armel armhf hppa i386 loong64 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390x x32],
                nettle-dev,
                pkgconf,
                pps-tools [linux-any],
@@ -43,14 +43,14 @@
 Description: Versatile implementation of the Network Time Protocol
  It consists of a pair of programs:
  .
- chronyd:  This is a daemon which runs in background on the system.
- It obtains measurements (e.g. via the network) of the system's offset
- relative to other systems and adjusts the system time accordingly. For
+ chronyd: This is a daemon which runs in the background on the system.
+ It obtains measurements (e.g., via the network) of the system's offset
+ relative to other systems, and adjusts the system time accordingly. For
  isolated systems, the user can periodically enter the correct time by
- hand (using 'chronyc'). In either case 'chronyd' determines the rate
+ hand (using 'chronyc'). In either case, 'chronyd' determines the rate
  at which the computer gains or loses time, and compensates for this.
  Chronyd implements the NTP protocol and can act as either a client or
- a server.
+ a server, or both.
  .
  chronyc: This is a command-line driven control and monitoring program.
  An administrator can use this to fine-tune various parameters within
