=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/\.tar\.gz$/-tar-gz-asc.txt/,uversionmangle=s/-pre/~pre/" \
https://chrony-project.org/releases/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
